langcode: en
status: true
dependencies:
  module:
    - locale
id: locale
label: Translation
module: locale
routes:
  -
    route_name: locale.translate_page
tips:
  locale-overview:
    id: locale-overview
    plugin: text
    label: 'User interface translation'
    weight: 1
    body: 'This page allows you to translate the user interface or modify existing translations. If you have installed your site initially in English, you must first add another language on the <a href="[site:url]admin/config/regional/language">Languages page</a>, in order to use this page.'
  locale-language:
    id: locale-language
    plugin: text
    label: 'Translation language'
    weight: 2
    selector: '#edit-langcode'
    body: 'Choose the language you want to translate.'
  locale-search:
    id: locale-search
    plugin: text
    label: Search
    weight: 3
    selector: '#edit-string'
    body: 'Enter the specific word or sentence you want to translate, you can also write just a part of a word.'
  locale-filter:
    id: locale-filter
    plugin: text
    label: 'Filter the search'
    weight: 4
    selector: '#edit-translation'
    body: 'You can search for untranslated strings if you want to translate something that isn''t translated yet. If you want to modify an existing translation, you might want to search only for translated strings.'
  locale-submit:
    id: locale-submit
    plugin: text
    label: 'Apply your search criteria'
    weight: 5
    selector: '#edit-submit'
    body: 'To apply your search criteria, click on the <em>Filter</em> button.'
  locale-translate:
    id: locale-translate
    plugin: text
    label: Translate
    weight: 6
    selector: .js-form-type-textarea
    body: 'You can write your own translation in the text fields of the right column. Try to figure out in which context the text will be used in order to translate it in the appropriate way.'
  locale-validate:
    id: locale-validate
    plugin: text
    label: 'Validate the translation'
    weight: 7
    selector: '#edit-submit--2'
    body: 'When you have finished your translations, click on the <em>Save translations</em> button. You must save your translations, each time before changing the page or making a new search.'
  locale-continue:
    id: locale-continue
    plugin: text
    label: 'Continuing on'
    weight: 8
    body: 'The translations you have made here will be used on your site''s user interface. If you want to use them on another site or modify them on an external translation editor, you can <a href="[site:url]admin/config/regional/translate/export">export them</a> to a .po file and <a href="[site:url]admin/config/regional/translate/import">import them</a> later.'
